import { AnnotationLayer } from "./AnnotationLayer";
import { Series } from "./Series";
import { Type } from "igniteui-react-core";
import { SeriesView } from "./SeriesView";
import { Frame } from "./Frame";
import { Pool$1 } from "igniteui-react-core";
import { List$1 } from "igniteui-react-core";
import { DataContext } from "igniteui-react-core";
import { Size } from "igniteui-react-core";
import { AnnotationLayerView } from "./AnnotationLayerView";
import { PointerTooltip } from "./PointerTooltip";
import { RenderingContext } from "igniteui-react-core";
/**
 * @hidden
 */
export declare class ItemToolTipLayer extends AnnotationLayer {
    static $t: Type;
    protected get_d5(): boolean;
    constructor();
    protected cg(): SeriesView;
    o0(a: SeriesView): void;
    protected w0: ItemToolTipLayerView;
    protected get_eg(): boolean;
    w7: string;
    w1: Series;
    w4: boolean;
    w3: boolean;
    protected o8(a: any, b: string, c: any, d: any): void;
    protected vs(a: Series, b: boolean): void;
    protected ul(a: Series): boolean;
    protected vu(a: Frame, b: SeriesView): void;
    private xb;
    private w2;
    private xc;
    private w5;
    n8(): void;
    n9(): void;
    protected vx(a: Frame, b: SeriesView): void;
    protected fm(): boolean;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class ItemToolTipLayerView extends AnnotationLayerView {
    static $t: Type;
    constructor(a: ItemToolTipLayer);
    protected b7: ItemToolTipLayer;
    b8: Pool$1<any>;
    au(): void;
    ak(): void;
    protected ca: List$1<PointerTooltip>;
    private cb;
    private cd;
    private cf;
    private ce;
    private _htmlTest;
    protected get htmlTest(): any;
    protected set htmlTest(a: any);
    b9(a: Series, b: any, c: any, d: DataContext): boolean;
    ck(a: any, b: any, c: DataContext): Size;
    ci(a: any, b: number, c: number, d: number, e: number): void;
    cg(a: any): void;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
    ch(a: boolean): void;
    cj(): void;
}
